# Uses of Class
gnu.jel.OP

Packages that use OP
Package
Description
gnu.jel

## Uses of OP in gnu.jel

Subclasses of OP in gnu.jel
Modifier and Type
Class
Description
`class`
`OPbinary`
A tree node, representing binary operation.
`class`
`OPcall`
A tree node, representing a method call (field/local variable load).
`class`
`OPcondtnl`
A tree node, representing conditional.
`class`
`OPload`
A tree node, representing loading of a constant.
`class`
`OPunary`
A tree node, representing unary operation.
Fields in gnu.jel declared as OP
Modifier and Type
Field
Description
`OP[]`
OP.`chi`
Holds references to children of this node
Methods in gnu.jel that return OP
Modifier and Type
Method
Description
`OP`
Parser.`parse(Class<?> resultType)`
Parses expression.
Constructors in gnu.jel with parameters of type OP
Modifier
Constructor
Description
``
`OPload(OP instead, Object what)`
Creates an OP, loading a constant to be put instead of another OP.
Constructor parameters in gnu.jel with type arguments of type OP
Modifier
Constructor
Description
``
`OPbinary(Stack<OP> paramOPs, int opcode)`
Constructs a new binary operation.
``
`OPcall(Member m, int np, Stack<OP> paramOPs, boolean aEval)`
Prepares a new method/field call/get operation to be added to the code.
``
`OPcondtnl(Stack<OP> paramOPs)`
Creates conditional operator.
``
`OPunary(Stack<OP> paramOPs, int code)`
Constructs a new unary operation.
``
`OPunary(Stack<OP> paramOPs, int targetID, Class<?> targetClass, boolean allownarrowing)`
Creates conversion operation to the given class.